<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xml>

<?xdevuiml version="1.0"?>
<?template NONE?>
<?import ??>
<?import com.cit.sellfan.ui.TextFieldDouble?>
<?import com.cit.sellfan.ui.TextFieldInteger?>
<?import com.xdev.ui.XdevButton?>
<?import com.xdev.ui.XdevCheckBox?>
<?import com.xdev.ui.XdevHorizontalLayout?>
<?import com.xdev.ui.XdevLabel?>
<?import com.xdev.ui.XdevPanel?>
<?import com.xdev.ui.XdevVerticalLayout?>
<?import com.xdev.ui.XdevView?>
<?import com.xdev.ui.entitycomponent.table.XdevTable?>
<XdevView xmlns:x="http://xml.xdev-software.com/xdevuiml" x:name="SetupProtettiView">
    <x:constraints zpos="0" width="100%" height="100%" />
    <XdevHorizontalLayout x:name="horizontalLayout">
        <x:constraints zpos="0" width="100%" height="100%" />
        <XdevPanel x:name="panel">
            <x:constraints weightx="0.1" width="100%" alignment="TOP_LEFT" height="0px" />
            <XdevVerticalLayout x:name="verticalLayout2">
                <x:constraints zpos="0" width="100%" height="-1px" />
                <XdevCheckBox caption="Menu Style" x:name="checkBoxMenuStyle">
                    <x:constraints weighty="0.0" width="0px" height="0px" />
                </XdevCheckBox>
                <XdevCheckBox caption="Visualizza Sfondo Grafici" x:name="checkBoxGrafici">
                    <x:constraints weighty="0.0" width="0px" height="0px" />
                </XdevCheckBox>
                <XdevCheckBox caption="Visualizza Sfondo Spettro Rumore" x:name="checkBoxSpettro">
                    <x:constraints weighty="0.0" width="0px" height="0px" />
                </XdevCheckBox>
                <XdevCheckBox caption="Disabilita Controllo Classi" x:name="checkBoxClassi">
                    <x:constraints weighty="0.0" width="0px" height="0px" />
                </XdevCheckBox>
                <XdevHorizontalLayout x:name="horizontalLayout3">
                    <x:constraints weighty="0.0" width="100%" height="0px" />
                    <XdevLabel x:name="label" value="Over Rpm">
                        <x:constraints weightx="0.1" width="100%" height="0px" />
                    </XdevLabel>
                    <TextFieldDouble columns="5" x:name="textOverRpm">
                        <x:constraints weightx="0.1" width="100%" height="0px" />
                    </TextFieldDouble>
                </XdevHorizontalLayout>
                <XdevHorizontalLayout x:name="horizontalLayout4">
                    <x:constraints weighty="0.0" width="100%" height="0px" />
                    <XdevLabel x:name="labelTolleranza" value="toller" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                        <x:constraints gridHeight="1" gridx="1" gridy="1" weighty="0.0" weightx="0.1" width="100%" alignment="TOP_RIGHT" gridWidth="1" height="0px" />
                    </XdevLabel>
                    <XdevLabel x:name="label6" value=" -">
                        <x:constraints gridHeight="1" gridx="2" gridy="1" weighty="0.0" weightx="0.0" width="0px" alignment="TOP_LEFT" gridWidth="1" height="0px" />
                    </XdevLabel>
                    <TextFieldInteger x:name="textFieldTolleranzaMeno">
                        <x:constraints gridHeight="1" gridx="3" gridy="1" weighty="0.0" weightx="0.0" width="50px" alignment="TOP_LEFT" gridWidth="1" height="0px" />
                    </TextFieldInteger>
                    <XdevLabel x:name="label3" value="%">
                        <x:constraints gridHeight="1" gridx="4" gridy="1" weighty="0.0" weightx="0.0" width="0px" alignment="TOP_LEFT" gridWidth="1" height="0px" />
                    </XdevLabel>
                    <XdevLabel x:name="label4" value=" +">
                        <x:constraints gridHeight="1" gridx="5" gridy="1" weighty="0.0" weightx="0.0" width="0px" alignment="TOP_LEFT" gridWidth="1" height="0px" />
                    </XdevLabel>
                    <TextFieldInteger x:name="textFieldTolleranzaPiu">
                        <x:constraints gridHeight="1" gridx="6" gridy="1" weighty="0.0" weightx="0.0" width="50px" alignment="TOP_LEFT" gridWidth="1" height="0px" />
                    </TextFieldInteger>
                    <XdevLabel x:name="label8" value="%">
                        <x:constraints gridHeight="1" gridx="7" gridy="1" weighty="0.0" weightx="0.0" width="0px" alignment="TOP_LEFT" gridWidth="1" height="0px" />
                    </XdevLabel>
                </XdevHorizontalLayout>
            </XdevVerticalLayout>
        </XdevPanel>
        <XdevPanel caption="titolo" x:name="panelSerie">
            <x:constraints weightx="0.2" width="100%" alignment="TOP_LEFT" height="100%" />
            <XdevVerticalLayout x:name="verticalLayout" margin="rl">
                <x:constraints zpos="0" width="100%" height="100%" />
                <XdevTable x:name="tableSerie" styleName="mystriped">
                    <x:constraints weighty="0.1" width="100%" height="100%" />
                    <x:typeArguments>
                        <typeArgument type="?" />
                    </x:typeArguments>
                </XdevTable>
                <XdevHorizontalLayout x:name="horizontalLayout2">
                    <x:constraints weighty="0.0" width="100%" alignment="BOTTOM_RIGHT" height="0px" />
                    <XdevLabel x:name="labelMemo" value="memo" contentMode="com.vaadin.shared.ui.label.ContentMode.HTML">
                        <x:constraints weightx="0.1" width="100%" height="0px" />
                    </XdevLabel>
                    <XdevButton caption="Tutte" x:name="buttonTutte">
                        <x:constraints weightx="0.1" width="0px" alignment="MIDDLE_RIGHT" height="0px" />
                        <x:event>click.buttonClick</x:event>
                    </XdevButton>
                    <XdevButton caption="nessuna" x:name="buttonNessuna">
                        <x:constraints weightx="0.1" width="0px" alignment="MIDDLE_RIGHT" height="0px" />
                        <x:event>click.buttonClick</x:event>
                    </XdevButton>
                </XdevHorizontalLayout>
            </XdevVerticalLayout>
        </XdevPanel>
    </XdevHorizontalLayout>
</XdevView>

